Bug 118887 - Checkinstall now seg-faults using test2
Checkinstall now seg-faults using test2
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 07:54 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 02:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-03-22 07:54:32 EST
Description of problem:
checkinstall segfaults while building rpm's

Version-Release number of selected component (if applicable):


How reproducible:
run configure, make, checkinstall
  
Actual results:

It appears to segfault at creating files/directries within rpm
eg:
make[4]: Nothing to be done for `install-exec-am'.
/bin/sh ../mkinstalldirs /usr/include/epiphany-1.3/epiphany
../mkinstalldirs: line 66:  8567 Segmentation fault      mkdir -p -- .
2>/dev/null
mkdir /usr/include/epiphany-1.3
../mkinstalldirs: line 103:  8571 Segmentation fault      mkdir
"$pathcomp"
mkdir /usr/include/epiphany-1.3/epiphany
../mkinstalldirs: line 103:  8572 Segmentation fault      mkdir
"$pathcomp"
make[4]: *** [install-headerDATA] Error 139
make[4]: Leaving directory `/root/epiphany/lib'
make[3]: *** [install-am] Error 2
make[3]: Leaving directory `/root/epiphany/lib'
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory `/root/epiphany/lib'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/root/epiphany/lib'
make: *** [install-recursive] Error 1
 
****  Installation failed. Aborting package creation.

Expected results:
Rpm created

Additional info:

Only a problem with fC2 test1
Comment 1 Jeff Johnson 2004-03-22 13:36:01 EST
This is a mkdir, not rpm, segfault.

Almost certainly specific to your machine as well.
Comment 2 Need Real Name 2004-03-23 05:36:53 EST
Any ideas how to debug this?
Also standard make install works
Comment 3 Need Real Name 2004-04-19 07:36:55 EDT
Upgraded to test2, and problem still exists.

I have now upgraded three machines to test2 and all three have the
problem (with or without selinux).
Comment 4 Jeff Johnson 2004-04-22 02:48:29 EDT
Sure. The problem needs to be simplified to a context smaller than an
epiphany build, and than whatever is failing needs to be fixed.

Apologies if that isn't helpful.
Comment 5 Need Real Name 2004-04-22 12:04:45 EDT
This is checkinstall with checkinstall (simplest test)
checkinstall 1.6.0beta3, Copyright 2002 Felipe Eduardo Sanchez Diaz Duran
           This software is released under the GNU GPL.
 
 
 
Please choose the packaging method you want to use.
Slackware [S], RPM [R] or Debian [D]? R
 
 
This package will be built according to these values:
 
1 -  Summary: [ CheckInstall installations tracker, version 1.6.0beta3 ]
2 -  Name:    [ checkinstall ]
3 -  Version: [ 1.6.0beta3 ]
4 -  Release: [ 1 ]
5 -  License: [ GPL ]
6 -  Group:   [ Applications/System ]
7 -  Architecture: [ i386 ]
8 -  Source location: [ checkinstall-1.6.0beta3 ]
9 -  Alternate source location: [  ]
10 - Provides: [  ]
11 - Requires: [  ]
 
Enter a number to change any of them or press ENTER to continue:
 
Installing with make install...
 
========================= Installation results ===========================
make -C installwatch-0.7.0beta3
make[1]: Entering directory
`/home/mike/checkinstall-1.6.0beta3/installwatch-0.7.0beta3'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory
`/home/mike/checkinstall-1.6.0beta3/installwatch-0.7.0beta3'
cp checkinstall makepak /usr/local/sbin
make: *** [install] Segmentation fault
 
****  Installation failed. Aborting package creation.
 
Cleaning up...OK
 
Bye.
Comment 6 Heber Vazquez 2004-06-10 00:07:03 EDT
http://asic-linux.com.mx/~izto/checkinstall

Use with this options:
checkinstall --fstrans=no --install=yes

Note You need to log in before you can comment on or make changes to this bug.